#ifndef _LINUX_UCB1400_ADC_H
#define _LINUX_UCB1400_ADC_H

/* Analog to digital converter access */
#define UCB1400_ADC_CHANNEL_MIN 0
#define UCB1400_ADC_CHANNEL_MAX 3
#define UCB1400_NB_ADC_CHANNEL  4

struct misc_channel {
  int number;
  unsigned int value;
};

struct misc_adc {
  unsigned int channel_count;
  struct misc_channel channel[UCB1400_NB_ADC_CHANNEL];
};

#define MISCIOCADC		_IOWR('m',1,struct misc_adc)

#endif
